Debian Bug report logs - #308346
[Fixed in CVS (post 1.5.1)] sumif doesn't work correctly

version graph

Package: gnumeric; Maintainer for gnumeric is Dmitry Smirnov <onlyjob@debian.org>; Source for gnumeric is src:gnumeric.

Reported by: aidualc@sings.jp

Date: Mon, 9 May 2005 16:48:01 UTC

Severity: normal

Tags: fixed-upstream, patch, upstream

Found in version 1.4.3-5

Fixed in version gnumeric/1.5.2-1

Done: jdassen@debian.org (J.H.M. Dassen (Ray))

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, aidualc@sings.jp, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#308346; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to aidualc@sings.jp:
New Bug report received and forwarded. Copy sent to aidualc@sings.jp, jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: aidualc@sings.jp
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnumeric: sumif doesn't work correctly
Date: Tue, 10 May 2005 01:37:22 +0900
Package: gnumeric
Version: 1.4.3-5
Severity: normal

sumif doesn't work correcly when it refers the cell which is in other sheet. 

For example, there are 2 sheets "sheet1" and "sheet2":

  |   A     B
----------------
1 |  book  3000
2 |  food  1000
3 |  misc  2000
[sheet1]

  |   A
----------------
1 |  =sumif(sheet1!A1:A3, "book", sheet1!B1:B3)
[sheet2]

I think A1 on "sheet2" should be "3000", but sumif returns "#VALUE!".

Thanks.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing'), (90, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP (charmap=EUC-JP)

Versions of packages gnumeric depends on:
ii  gconf2               2.8.1-5             GNOME configuration database syste
ii  gnumeric-common      1.4.3-5             common files for Gnumeric, the GNO
ii  gsfonts              8.14+v8.11+urw-0.2  Fonts for the Ghostscript interpre
ii  libart-2.0-2         2.3.17-1            Library of functions for 2D graphi
ii  libatk1.0-0          1.8.0-4             The ATK accessibility toolkit
ii  libbonobo2-0         2.8.1-2             Bonobo CORBA interfaces library
ii  libbonoboui2-0       2.8.1-2             The Bonobo UI library
ii  libc6                2.3.2.ds1-21        GNU C Library: Shared libraries an
ii  libgconf2-4          2.8.1-5             GNOME configuration database syste
ii  libglade2-0          1:2.4.2-2           library to load .glade files at ru
ii  libglib2.0-0         2.6.4-1             The GLib library of C routines
ii  libgnome2-0          2.8.1-2             The GNOME 2 library - runtime file
ii  libgnomecanvas2-0    2.8.0-1             A powerful object-oriented display
ii  libgnomeprint2.2-0   2.8.2-1             The GNOME 2.2 print architecture -
ii  libgnomeprintui2.2-0 2.8.2-2             GNOME 2.2 print architecture User 
ii  libgnomeui-0         2.8.1-3             The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0       2.8.4-2             The GNOME virtual file-system libr
ii  libgsf-1             1.11.1-1            Structured File Library - runtime 
ii  libgsf-gnome-1       1.11.1-1            Structured File Library - runtime 
ii  libgtk2.0-0          2.6.4-1             The GTK+ graphical user interface 
ii  libice6              4.3.0.dfsg.1-12.0.1 Inter-Client Exchange library
ii  liborbit2            1:2.12.2-1          libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0        1.8.1-1             Layout and rendering of internatio
ii  libpopt0             1.7-5               lib for parsing cmdline parameters
ii  libsm6               4.3.0.dfsg.1-12.0.1 X Window System Session Management
ii  libxml2              2.6.16-7            GNOME XML library
ii  xlibs                4.3.0.dfsg.1-12     X Keyboard Extension (XKB) configu
ii  zlib1g               1:1.2.2-4           compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#308346; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to 308346@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #10 received at 308346@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <jdassen@debian.org>
To: control@bugs.debian.org
Cc: aidualc@sings.jp, 308346@bugs.debian.org
Subject: Re: Bug#308346: gnumeric: sumif doesn't work correctly
Date: Tue, 10 May 2005 22:20:01 +0200
tags 308346 + upstream fixed-upstream patch
retitle 308346 [Fixed in CVS (post 1.5.1)] sumif doesn't work correctly
thanks

On Tue, May 10, 2005 at 01:37:22 +0900, aidualc@sings.jp wrote:
> sumif doesn't work correcly when it refers the cell which is in other sheet. 

[20:26] <@gmorten> JHM: Debian #308346 is fixed in cvs HEAD.

http://cvs.gnome.org/viewcvs/gnumeric/plugins/fn-math/functions.c?r1=1.235.2.3&r2=1.235.2.4&makepatch=1&diff_format=u
http://cvs.gnome.org/viewcvs/gnumeric/plugins/fn-math/ChangeLog?r1=1.73&r2=1.74&makepatch=1&diff_format=u
http://cvs.gnome.org/viewcvs/gnumeric/NEWS?r1=1.1739.2.20&r2=1.1739.2.21&makepatch=1&diff_format=u
-- 
Outlook Express is free, and also sometimes lets strangers share your hard
disk - is this anarchism?
	The Register's Graham Lea commenting on Steve Balmer's comparison of
	Linux to communism in http://www.theregister.co.uk/content/1/12266.html



Tags added: upstream, fixed-upstream, patch Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to jdassen@debian.org (J.H.M. Dassen (Ray)):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to aidualc@sings.jp:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 308346-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 308346-close@bugs.debian.org
Subject: Bug#308346: fixed in gnumeric 1.5.2-1
Date: Tue, 14 Jun 2005 17:17:38 -0400
Source: gnumeric
Source-Version: 1.5.2-1

We believe that the bug you reported is fixed in the latest version of
gnumeric, which is due to be installed in the Debian FTP archive:

gnumeric-common_1.5.2-1_all.deb
  to pool/main/g/gnumeric/gnumeric-common_1.5.2-1_all.deb
gnumeric-doc_1.5.2-1_all.deb
  to pool/main/g/gnumeric/gnumeric-doc_1.5.2-1_all.deb
gnumeric-plugins-extra_1.5.2-1_i386.deb
  to pool/main/g/gnumeric/gnumeric-plugins-extra_1.5.2-1_i386.deb
gnumeric_1.5.2-1.diff.gz
  to pool/main/g/gnumeric/gnumeric_1.5.2-1.diff.gz
gnumeric_1.5.2-1.dsc
  to pool/main/g/gnumeric/gnumeric_1.5.2-1.dsc
gnumeric_1.5.2-1_i386.deb
  to pool/main/g/gnumeric/gnumeric_1.5.2-1_i386.deb
gnumeric_1.5.2.orig.tar.gz
  to pool/main/g/gnumeric/gnumeric_1.5.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 308346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated gnumeric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 14 Jun 2005 22:38:59 +0200
Source: gnumeric
Binary: gnumeric-doc gnumeric-common gnumeric gnumeric-plugins-extra
Architecture: source i386 all
Version: 1.5.2-1
Distribution: unstable
Urgency: low
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 gnumeric   - GNOME spreadsheet application
 gnumeric-common - common files for Gnumeric, the GNOME spreadsheet application
 gnumeric-doc - documentation for Gnumeric, the GNOME spreadsheet application
 gnumeric-plugins-extra - additional plugins for the GNOME spreadsheet
Closes: 308346 310832 311534
Changes: 
 gnumeric (1.5.2-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixed upstream:
     * sumif behaviour with intersheet references. (Closes: #308346)
     * Brown bag text import problem. (Closes: #310832)
   * [debian/control] Bumped goffice and libgsf build dependencies
     per configure.in.
   * [debian/rules, debian/gnumeric.install] Install libspreadsheet runtime
     files. Libspreadsheet is not a fully rounded separate library at this
     point and the gnumeric binary package contains the only binaries
     currently using it, so there is no need yet for it to be in a separate
     package. This may well change in the future.
   * [debian/rules, debian/gnumeric.install] Build and include ssindex.
     (Closes: #311534)
Files: 
 a6128825ffc20491a85d47859667aad6 1320 math optional gnumeric_1.5.2-1.dsc
 9ae59b08f96e7c57772ee1fd5dd4954f 15888575 math optional gnumeric_1.5.2.orig.tar.gz
 bfd023226ce372ce6dd38e501a952e14 31529 math optional gnumeric_1.5.2-1.diff.gz
 14d60cdac8b336fe0d805667b80206cd 2888996 math optional gnumeric-common_1.5.2-1_all.deb
 8280d9c76c90b1459b32c4d805e7a19f 4172056 doc optional gnumeric-doc_1.5.2-1_all.deb
 e0fbb6f509171c8b5167601416a705e9 2149178 math optional gnumeric_1.5.2-1_i386.deb
 6f978040bbe4b5819765a78acf5cc47a 147484 math optional gnumeric-plugins-extra_1.5.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCr0SrA+HB2Re6Rc4RAuA1AJ99pUypB9uNTzcbpRx1VGHs8vnz1QCghjhy
MP5AjPdEeVODfLJGxWGPd9w=
=pT1c
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:13:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.